from quart import Quart
from discord.ext import commands
import asyncio
import os, dotenv

dotenv.load_dotenv()

from quart import request, jsonify
class WebServer:
    def __init__(self, bot: commands.Bot):
        self.bot = bot
        
        webserver = Quart(__name__)

        @webserver.route("/time_to_bereal/post", methods=["POST"])
        async def time_to_bereal():
            # May be coming from those IPs:
            # 66.228.40.136 (us-east1.dbsrv.net)
            # 2600:3c03::f03c:92ff:febe:a263/64
            # fe80::f03c:92ff:febe:a263/64

            data = await request.get_json()

            task = asyncio.create_task(self.bot.time_to_bereal())  # Start asynchronous processing
            return jsonify({"error": 200, "message": "Success"})
    
        self.webserver = webserver

    def start(self, loop):
        loop.create_task(self.webserver.run_task("0.0.0.0", os.environ.get('PORT'), False))
        
        
